package escape;

import java.awt.Graphics2D;

public class MirrorHoleMode extends GameMode {

  public MirrorHoleMode() {
    addClickRegions();
  }

  private void addClickRegions() {
    clickRegions.add(new Region(
        0, 80, 800, 173, 0, Images.arrowCursors[Images.UP]));
    clickRegions.add(new Region(
        0, 427, 800, 173, 1, Images.arrowCursors[Images.DOWN]));
    clickRegions.add(new Region(
        0, 253, 267, 174, 2, Images.arrowCursors[Images.LEFT]));
    clickRegions.add(new Region(
        533, 253, 267, 174, 3, Images.arrowCursors[Images.RIGHT]));
  }

  @Override
  public void modify() {
  }

  @Override
  public void draw(Graphics2D g) {
    g.drawImage(Images.mirrorHoles[0], 0, 80, null);
    Images.drawString(g, GameState.encryptedCodes[0], 269, 339);
  }

  @Override
  public boolean isInventoryAccessible() {
    return false;
  }

  @Override
  public void regionClicked(Region clickRegion) {
    addClickRegions();
    main.popMode();
  }
}
