package escape;

import java.awt.Graphics2D;

public class PennyUnlockMode extends GameMode {

  public static final int STATE_INSERTION = 0;
  public static final int STATE_DELAY = 1;
  public static final int STATE_TWIST = 2;

  private int state = STATE_INSERTION;
  private int pennyY = 600;
  private int delay;

  @Override
  public void modify() {
    if (state == STATE_INSERTION) {
      pennyY -= 4;
      if (pennyY <= 231) {
        state = STATE_DELAY;
        delay = 15;
      }
    } else if (state == STATE_DELAY) {
      if (--delay == 0) {
        state = STATE_TWIST;
        delay = 60;
      }
    } else if (state == STATE_TWIST) {
      if (--delay == 0) {
        GameState.stallUnlocked = true;
        main.setMode(main.stallsMode);
      }
    }
  }

  @Override
  public void draw(Graphics2D g) {
    if (state == STATE_TWIST) {
      g.drawImage(Images.stallLocks[2], 0, 80, null);
    } else {
      g.drawImage(Images.stallLocks[0], 0, 80, null);
      g.drawImage(Images.pennies[2], 271, pennyY, null);
      g.drawImage(Images.stallLocks[1], 233, 179, null);
    }
  }

  @Override
  public boolean isInventoryAccessible() {
    return false;
  }
}
