package escape;

import java.awt.*;

public class ToiletPaperMode extends GameMode {

  public ToiletPaperMode() {
    addClickRegions();
  }

  private void addClickRegions() {
    clickRegions.add(new Region(
        0, 80, 800, 173, 0, Images.arrowCursors[Images.UP]));
    clickRegions.add(new Region(
        0, 427, 800, 173, 1, Images.arrowCursors[Images.DOWN]));
    clickRegions.add(new Region(
        0, 253, 267, 174, 2, Images.arrowCursors[Images.LEFT]));
    clickRegions.add(new Region(
        533, 253, 267, 174, 3, Images.arrowCursors[Images.RIGHT]));
  }

  @Override
  public void modify() {
  }

  @Override
  public void draw(Graphics2D g) {
    g.drawImage(Images.toiletPapers[2], 0, 80, null);
    Images.drawString(g, GameState.encryptedCodes[1], 300, 328);
  }

  @Override
  public boolean isInventoryAccessible() {
    return false;
  }

  @Override
  public void regionClicked(Region clickRegion) {
    addToInventory(Images.toiletPapers[3]);
    addClickRegions();
    main.popMode();
  }
}
