package escape;

import java.awt.Graphics2D;

public class EndingMode implements IMode {

  private float scale = 1;
  private int index;
  private int delay;

  @Override
  public void update() {
    if (index < 10) {
      scale *= 0.997f;
      if (scale < 0.5f) {
        scale = 1;
        index++;
      }
    } else if (++delay > 180) {
      Main.main.setMode(Main.main.creditsMode);
    }
  }

  @Override
  public void render(Graphics2D g) {
    if (index == 10) {
      g.drawImage(Images.endings[10], 0, 0, null);
    } else {
      g.drawImage(Images.endings[index],
          (int)(400 - 800 * scale), (int)(300 - 600 * scale),
          (int)(1600 * scale), (int)(1200 * scale), null);
    }
  }

  @Override
  public void enter() {
  }
}
