package escape;

import java.awt.*;

public class PrintoutMode extends GameMode {

  public PrintoutMode() {
    addClickRegions();
  }

  private void addClickRegions() {
    clickRegions.add(new Region(
        0, 80, 800, 173, 0, Images.arrowCursors[Images.UP]));
    clickRegions.add(new Region(
        0, 427, 800, 173, 1, Images.arrowCursors[Images.DOWN]));
    clickRegions.add(new Region(
        0, 253, 267, 174, 2, Images.arrowCursors[Images.LEFT]));
    clickRegions.add(new Region(
        533, 253, 267, 174, 3, Images.arrowCursors[Images.RIGHT]));
  }

  @Override
  public void modify() {
  }

  @Override
  public void draw(Graphics2D g) {
    g.drawImage(Images.printouts[2], 0, 80, null);
    for(int i = 0; i < 5; i++) {
      Images.drawString(g, GameState.conversions[5 + i], 338, 278 + i * 25);
    }
  }

  @Override
  public boolean isInventoryAccessible() {
    return false;
  }

  @Override
  public void regionClicked(Region clickRegion) {
    addToInventory(Images.printouts[1]);
    addClickRegions();
    Main.main.popMode();
  }
}
